Bug 1443220 (CVE-2017-8905, xsa215) - CVE-2017-8905 xsa215 xen: possible memory corruption via failsafe callback (XSA-215)
Summary: CVE-2017-8905 xsa215 xen: possible memory corruption via failsafe callback (X...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-8905, xsa215
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20170502,repo...
Depends On: 1447345
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-18 19:18 UTC by Adam Mariš
Modified: 2019-06-08 21:55 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-11 04:14:45 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-04-18 19:18:22 UTC
ISSUE DESCRIPTION
=================

Under certain special conditions Xen reports an exception resulting
from returning to guest mode not via ordinary exception entry points,
but via a so call failsafe callback.  This callback, unlike exception
handlers, takes 4 extra arguments on the stack (the saved data
selectors DS, ES, FS, and GS).  Prior to placing exception or failsafe
callback frames on the guest kernel stack, Xen checks the linear
address range to not overlap with hypervisor space.  The range spanned
by that check was mistakenly not covering these extra 4 slots.

IMPACT
======

A malicious or buggy 64-bit PV guest may be able to modify part of a
physical memory page not belonging to it, potentially allowing for all
of privilege escalation, host or other guest crashes, and information
leaks.

VULNERABLE SYSTEMS
==================

64-bit Xen versions 4.6 and earlier are vulnerable.  Xen versions 4.7
and later are not vulnerable.

Only x86 systems are affected.  ARM systems are not vulnerable.

Only x86 systems with physical memory extending to a configuration
dependent boundary (5Tb or 3.5Tb) may be affected.  Whether they are
actually affected depends on actual physical memory layout.

The vulnerability is only exposed to 64-bit PV guests.  HVM guests and
32-bit PV guests can't exploit the vulnerability.

MITIGATION
==========

Running only HVM or 32-bit PV guests will avoid the vulnerability.

The vulnerability can be avoided if the guest kernel is controlled by
the host rather than guest administrator, provided that further steps
are taken to prevent the guest administrator from loading code into
the kernel (e.g. by disabling loadable modules etc) or from using
other mechanisms which allow them to run code at kernel privilege.

External References:

http://xenbits.xen.org/xsa/advisory-215.html

Acknowledgements:

Name: the Xen project
Upstream: Jann Horn (Google)

Comment 1 Adam Mariš 2017-05-02 13:17:10 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1447345]

Comment 2 Andrej Nemec 2017-05-03 07:03:52 UTC
References:

http://seclists.org/oss-sec/2017/q2/194


Note You need to log in before you can comment on or make changes to this bug.